/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/
/* Adds image to evetn page */
#rhp-events-pg-template{
	max-width: 100vw!important;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#rhp-events-pg-template .rhp-events-page-title{
	display: none;
}
#rhp-events-pg-template div.row.g-0.my-5.flex-md-row{
	width: 90%;
}
#rhp-events-pg-template::before {
    background-image: url(https://sprucepeakarts.rockhousepartners.com/wp-content/uploads/2023/01/Upcoming_Events-scaled.jpg);
    height: 200px;
    background-position: center;
    color: #F0EADF;
    content: 'UPCOMING EVENTS';
    font-weight: 900;
    font-size: 6em;
    line-height: 0.7;
    display: flex;
    width: 100vw;
    justify-content: center;
    align-items: flex-end;
    background-color: #2e5334c9;
    background-attachment: fixed;
    background-blend-mode: multiply;
}
#rhp-events-pg-template {
	padding: 0px!important;
	margin: 0px !important;
}
@media(max-width: 600px){
	#rhp-events-pg-template::before {
		font-size: 3rem;
		line-height: 1em;
		align-items: center!important;
		text-align: center;

	}

}
/* Header Animation (AA)*/

/*NOTE: To use the header animation, add the class 'header' to the outer most container that you want the effect to appear on. Make sure the container is sticky.*/
.header {
  transition: transform 0.3s ease;
  will-change: transform;
}

.header--hidden {
  transform: translateY(-100%);
}

#hp-wrapper .rhp-events-icon::after{
	background-color: white!important;
	
}

/* ////////////// EVENT PLUGIN //////////  */

/* Changes border color on drop down filter on events page (KM) */
.dropDownFilter {
	border: 2px solid #000000;
}

/* ////////////// SLIDER //////////  */

/* Forces slider wrapper to go full width (KM) */
#rhp-slideshow .rhp-slide-wrapper.fullWidthWrapper {
	padding: 0px;
}

/* Selects the interior event pages AA*/
#RhpEventsSingle, .rhp-event-series-single{
	
}

/*Selects the events page */
#rhp-events-pg-template{
}
/* Removes the yellow border on the drop down filter AA*/
.filterSublist{
	border: 2px solid var(--e-global-colors-primary)!important;
}

/* Increases contrast on card view*/
.rhp-event__doortext--card, .rhp-event__cost-text--card{
	color: white!important;
}
/* Changes the color of the calendar navigation buttons AA*/
.fc-header-toolbar button, .fc-footer-toolbar button, .fc-dayGridMonth-button.fc-button.fc-button-primary{
	border: 2px solid var(--e-global-colors-primary)!important;
	color: var(--e-global-colors-primary)!important;
	border-radius: 0px!important;
}

/* Changes the filter bar background color AA*/

#accordionFilter{
	background: transparent!important;
}
/* Changes the just announced text. Change the color in site settings. AA*/
.justAnnouncedIndicate{
	color: var(--e-global-color-secondary);
	font-family: var(--e-global-typography-text-font-family);
	font-weight: var(--e-global-typography-text-font-weight);
}


/*Adds padding to the Just Announced and Featured filter options */
.filterDefault.featurePad, .filterDefault.justAdvPad{
	padding: 5px 10px 5px 10px!important;
} 

/* Changes the calendar view */
.rhp-event__info--month * {
	
}
:root{
	--fc-border-color: #dfd6c7;
	--fc-today-bg-color: #d3c7a040;
	--fc-page-bg-color: #FFFFFF00;
}
.fc-daygrid-event-harness *:not(.btn){
	background-color: var(--e-global-color-secondary)!important;
	color: var(--e-global-colors-primary)!important;
}
.fc-event-cta.rhp-event__cta--month{
	display: none!important;
}
.fc-event-title.rhp-event__info--month {
  border: 1px solid var(--fc-border-color)!important;
  font-size: 1em!important;
	padding: 0.825em!important;
	margin: 0px!important;
	 transition: white-space 0.25s ease, border 0.25s ease, font-size 0.25s ease!important;

}
.fc-event-title.rhp-event__info--month:hover{
	  border: 1px solid var(--e-global-color-primary)!important;

} 
.fc-daygrid-day:hover{
	background-color: var(--fc-today-bg-color)!important;
}
.fc-col-header-cell, .fc-scrollgrid,
.fc-scrollgrid > thead,
.fc-scrollgrid > tbody  {
  border: 0 !important;
}
/* remove top border */
.fc-view-harness .fc-scrollgrid > thead > tr > th {
    border-top: none !important;
}

/* remove right border */
.fc-view-harness .fc-scrollgrid td:first-child,
.fc-view-harness .fc-scrollgrid th:first-child {
    border-right: none !important;
	border-bottom: none!important;
}
.rhp-event__single-event--list{
	background-color: white!important;
    padding: 1em !important;
    box-shadow: 10px 10px 20px #00000055;
	margin: 20px 0px 20px 0px;
}

@media (max-width: 600px) {
  /* All code for mobile devices goes here AA */
	.belowLowTicketSection #evSubHead, .belowLowTicketSection .eventAgeRestriction, .belowLowTicketSection .eventDoorStartDate, .belowLowTicketSection .eventTitleDiv, .belowLowTicketSection .eventsVenueDiv {
		line-height: 2em!important;
		padding: 0px!important;
	}
	.belowLowTicketSection *{
		font-size: 1em!important;
		margin: 0px!important;
	}
}

